function Light()
	wait(0.2)
	if game.Workspace.Glass.Fly.Value == true then
		script.Parent.Function.Disabled = false
	else
		wait(6)
		script.Parent.Function.Disabled = true
		wait()
		script.Parent.A.Transparency = 0
		script.Parent.B.Transparency = 0
		script.Parent.C.Transparency = 0
	end
end

game.Workspace.Glass.Fly.Changed:connect(Light)